Mailing List Archive

r1179 - branches/1.0
Author: des
Date: 2006-10-18 16:27:09 +0200 (Wed, 18 Oct 2006)
New Revision: 1179

Modified:
branches/1.0/
branches/1.0/autogen.sh
Log:
r32804 at cat (orig r1140): des | 2006-10-05 16:56:50 +0200
Older versions of automake generate incorrect Makefiles, and automake's
own mechanism for specifying a required version doesn't seem to work.
Hack autogen.sh to check which version of automake is installed.



Property changes on: branches/1.0
___________________________________________________________________
Name: svk:merge
- d4fa192b-c00b-0410-8231-f00ffab90ce4:/trunk/varnish-cache:1139
+ d4fa192b-c00b-0410-8231-f00ffab90ce4:/trunk/varnish-cache:1140

Modified: branches/1.0/autogen.sh
===================================================================
--- branches/1.0/autogen.sh 2006-10-18 14:27:08 UTC (rev 1178)
+++ branches/1.0/autogen.sh 2006-10-18 14:27:09 UTC (rev 1179)
@@ -3,13 +3,29 @@
# $Id$
#

-set -ex
-
if [ -d /usr/local/gnu-autotools/bin ] ; then
PATH=/usr/local/gnu-autotools/bin:${PATH}
export PATH
fi

+automake_version=$(automake --version | tr ' ' '\n' | egrep '^[0-9]\.[0-9a-z.-]+')
+if [ -z "$automake_version" ] ; then
+ echo "unable to determine automake version"
+ exit 1
+else
+ case $automake_version in
+ 1.9*|[23456789].*)
+ ;;
+ *)
+ echo "your version of automake ($automake_version) is too old;" \
+ "you need 1.9 or newer."
+ exit 1
+ ;;
+ esac
+fi
+
+set -ex
+
aclocal
libtoolize --copy --force
autoheader